summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtests/asicworld/run-test.sh2
-rwxr-xr-xtests/hana/run-test.sh2
-rwxr-xr-xtests/realmath/run-test.sh1
-rwxr-xr-xtests/simple/run-test.sh2
-rwxr-xr-xtests/tools/autotest.sh13
5 files changed, 15 insertions, 5 deletions
diff --git a/tests/asicworld/run-test.sh b/tests/asicworld/run-test.sh
index 9153f55f..a204360d 100755
--- a/tests/asicworld/run-test.sh
+++ b/tests/asicworld/run-test.sh
@@ -1,2 +1,2 @@
#!/bin/bash
-exec bash ../tools/autotest.sh *.v
+exec bash ../tools/autotest.sh -G *.v
diff --git a/tests/hana/run-test.sh b/tests/hana/run-test.sh
index 199bb916..89be6d05 100755
--- a/tests/hana/run-test.sh
+++ b/tests/hana/run-test.sh
@@ -1,2 +1,2 @@
#!/bin/bash
-exec bash ../tools/autotest.sh -l hana_vlib.v test_*.v
+exec bash ../tools/autotest.sh -G -l hana_vlib.v test_*.v
diff --git a/tests/realmath/run-test.sh b/tests/realmath/run-test.sh
index a28863d3..b8e222ad 100755
--- a/tests/realmath/run-test.sh
+++ b/tests/realmath/run-test.sh
@@ -15,6 +15,7 @@ for ((i = 0; i < 100; i++)); do
iverilog -o uut_${idx}_tb uut_${idx}_tb.v uut_${idx}.v uut_${idx}_syn.v
./uut_${idx}_tb | tee uut_${idx}.err
if test -s uut_${idx}.err; then
+ echo "Note: Make sure that 'iverilog' is an up-to-date git checkout of icarus verilog."
exit 1
fi
rm -f uut_${idx}.err
diff --git a/tests/simple/run-test.sh b/tests/simple/run-test.sh
index 3d00c7eb..ec1802cb 100755
--- a/tests/simple/run-test.sh
+++ b/tests/simple/run-test.sh
@@ -6,4 +6,4 @@ if ! which iverilog > /dev/null ; then
exit 1
fi
-exec bash ../tools/autotest.sh *.v
+exec bash ../tools/autotest.sh -G *.v
diff --git a/tests/tools/autotest.sh b/tests/tools/autotest.sh
index d459f988..ff431eaf 100755
--- a/tests/tools/autotest.sh
+++ b/tests/tools/autotest.sh
@@ -11,17 +11,20 @@ backend_opts="-noattr -noexpr"
scriptfiles=""
scriptopt=""
toolsdir="$(cd $(dirname $0); pwd)"
+warn_iverilog_git=false
if [ ! -f $toolsdir/cmp_tbdata -o $toolsdir/cmp_tbdata.c -nt $toolsdir/cmp_tbdata ]; then
( set -ex; gcc -Wall -o $toolsdir/cmp_tbdata $toolsdir/cmp_tbdata.c; ) || exit 1
fi
-while getopts xml:wkvrf:s:p: opt; do
+while getopts xmGl:wkvrf:s:p: opt; do
case "$opt" in
x)
use_xsim=true ;;
m)
use_modelsim=true ;;
+ G)
+ warn_iverilog_git=true ;;
l)
libs="$libs $(cd $(dirname $OPTARG); pwd)/$(basename $OPTARG)";;
w)
@@ -145,7 +148,13 @@ do
elif [ -f ${bn}.skip ]; then
mv ${bn}.err ${bn}.skip
echo "-> skip"
- else echo "-> ERROR!"; $keeprunning || exit 1; fi
+ else
+ echo "-> ERROR!"
+ if $warn_iverilog_git; then
+ echo "Note: Make sure that 'iverilog' is an up-to-date git checkout of icarus verilog."
+ fi
+ $keeprunning || exit 1
+ fi
done
exit 0